umbrello: ClassWizard Class Reference

umbrello 2.34.0 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Public Member Functions | Protected Slots | Private Member Functions | Private Attributes | List of all members
ClassWizard Class Reference

`#include <classwizard.h>`

Inheritance diagram for ClassWizard:

## Public Member Functions
| ClassWizard (UMLDoc *doc)
| ~ClassWizard ()

## Protected Slots
void | showHelp ()

## Private Member Functions
QWizardPage * | createGeneralPage ()
QWizardPage * | createAttributesPage ()
QWizardPage * | createOperationsPage ()
void | next ()
void | back ()
void | accept ()
void | reject ()

## Private Attributes
UMLDoc * | m_doc
UMLClassifier * | m_pClass
ClassGeneralPage * | m_pGenPage
ClassifierListPage * | m_pAttPage
ClassifierListPage * | m_pOpPage
QWizardPage * | m_GeneralPage
QWizardPage * | m_AttributesPage
QWizardPage * | m_OperationsPage

## Detailed Description

Author
  Paul Hensgen Bugs and comments to umbre.nosp@m.llo-.nosp@m.devel.nosp@m.@kde.nosp@m..org or https://bugs.kde.org

## Constructor & Destructor Documentation

## ◆ ClassWizard()

ClassWizard::ClassWizard | ( | UMLDoc * | doc | ) |
| explicit

Constructor. Sets up the wizard and loads the wizard pages. Each wizard page has its own class.

Parameters

  doc | the UML document

## ◆ ~ClassWizard()

ClassWizard::~ClassWizard | ( |  | ) |

Destructor.

## Member Function Documentation

## ◆ accept()

void ClassWizard::accept | ( |  | ) |
| private

Finish button was called.

Todo:
  Calling m_pGenPage->apply() twice is ugly, but without the first call the documentation of the class is cleared.

## ◆ back()

void ClassWizard::back | ( |  | ) |
| private

Back button was called.

## ◆ createAttributesPage()

QWizardPage * ClassWizard::createAttributesPage | ( |  | ) |
| private

Create page 2 of wizard - the class attributes editor.

## ◆ createGeneralPage()

QWizardPage * ClassWizard::createGeneralPage | ( |  | ) |
| private

Create page 1 of wizard - the general class info.

## ◆ createOperationsPage()

QWizardPage * ClassWizard::createOperationsPage | ( |  | ) |
| private

Create page 3 of wizard - the class operations editor.

## ◆ next()

void ClassWizard::next | ( |  | ) |
| private

Advances to the next page. Is called when the next button is pressed.

## ◆ reject()

void ClassWizard::reject | ( |  | ) |
| private

Cancel button was called.

## ◆ showHelp

void ClassWizard::showHelp | ( |  | ) |
| protectedslot

Opens Umbrello handbook. Is called when help button is pressed.

## Member Data Documentation

## ◆ m_AttributesPage

QWizardPage* ClassWizard::m_AttributesPage
| private

## ◆ m_doc

UMLDoc* ClassWizard::m_doc
| private

## ◆ m_GeneralPage

QWizardPage* ClassWizard::m_GeneralPage
| private

## ◆ m_OperationsPage

QWizardPage* ClassWizard::m_OperationsPage
| private

## ◆ m_pAttPage

ClassifierListPage* ClassWizard::m_pAttPage
| private

## ◆ m_pClass

UMLClassifier* ClassWizard::m_pClass
| private

## ◆ m_pGenPage

ClassGeneralPage* ClassWizard::m_pGenPage
| private

## ◆ m_pOpPage

ClassifierListPage* ClassWizard::m_pOpPage
| private

The documentation for this class was generated from the following files:

- umbrello/dialogs/classwizard.h
- umbrello/dialogs/classwizard.cpp